stages:
  - review
  - staging
  - production

review:
  stage: review
  script:
    - echo $CI_COMMIT_REF_NAME
  environment:
    name: develop
    url: https://dev.vodohod.com/
  only:
    - develop
  tags:
    - develop

staging:
  stage: staging
  script:
    - echo $CI_COMMIT_REF_NAME
  environment:
    name: staging
    url: https://stage.vodohod.com/
  only:
    - release
  tags:
    - stage

production:
  stage: production
  script:
    - echo $CI_COMMIT_REF_NAME
  environment:
    name: production
    url: https://vodohod.com/
  when: manual
  only:
    - master
  tags:
    - prod
